diff --git python-sieve/python-sieve.spec python-sieve/python-sieve.spec.tmp
index 2afee40c73..81074ac070 100644
--- python-sieve/python-sieve.spec
+++ python-sieve/python-sieve.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:             python-sieve
 Version:          0.1.9
-Release:          6%{?dist}
+Release:          7%{?dist}
 Summary:          XML Comparison Utils
 
 Group:            Development/Libraries
@@ -31,33 +31,39 @@ BuildRequires:    python3-markupsafe
 BuildRequires:    python3-nose
 %endif
 
-Requires:   python-six
-Requires:   python-lxml
-Requires:   python-markupsafe
-
+%global _description\
+Ripped from FormEncode and strainer just to support Pythons 2 and 3.\
+Intended for use in your webapp test suites.\
+\
+Example usage::\
+\
+    >>> from sieve.operators import eq_xml, in_xml\
+    >>> a = "<foo><bar>Value</bar></foo>"\
+    >>> b = """\
+    ... <foo>\
+    ...     <bar>\
+    ...         Value\
+    ...     </bar>\
+    ... </foo>\
+    ... """\
+    >>> eq_xml(a, b)\
+    True\
+    >>> c = "<html><body><foo><bar>Value</bar></foo></body></html"\
+    >>> in_xml(a, c)  # 'needle' in a 'haystack'\
+    True\
+
+
+%description %_description
+
+%package -n python2-sieve
+Summary: %summary
 Provides:   python2-sieve
+Requires:   python-markupsafe
+Requires:   python-lxml
+Requires:   python-six
+%{?python_provide:%python_provide python2-sieve}
 
-%description
-Ripped from FormEncode and strainer just to support Pythons 2 and 3.
-Intended for use in your webapp test suites.
-
-Example usage::
-
-    >>> from sieve.operators import eq_xml, in_xml 
-    >>> a = "<foo><bar>Value</bar></foo>" 
-    >>> b = """ 
-    ... <foo> 
-    ...     <bar>
-    ...         Value 
-    ...     </bar> 
-    ... </foo> 
-    ... """
-    >>> eq_xml(a, b)
-    True 
-    >>> c = "<html><body><foo><bar>Value</bar></foo></body></html"
-    >>> in_xml(a, c)  # 'needle' in a 'haystack'
-    True
-
+%description -n python2-sieve %_description
 
 %if 0%{?with_python3}
 %package -n python3-sieve
@@ -130,7 +136,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-sieve
 %doc README.rst LICENSE.txt
 %{python_sitelib}/%{modname}
 %{python_sitelib}/%{modname}-%{version}*
@@ -145,6 +151,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.9-7
+- Python 2 subpackage renamed to python2-sieve
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-simplemediawiki/python-simplemediawiki.spec python-simplemediawiki/python-simplemediawiki.spec.tmp
index 8e32d43d85..c0bcf43add 100644
--- python-simplemediawiki/python-simplemediawiki.spec
+++ python-simplemediawiki/python-simplemediawiki.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-%{tarball_name}
 Version:        1.2.0
-Release:        0.10.b2%{?dist}
+Release:        0.11.b2%{?dist}
 Summary:        Extremely low-level wrapper to the MediaWiki API
 
 License:        LGPLv2+
@@ -16,17 +16,25 @@ Source0:        http://pypi.python.org/packages/source/s/%{tarball_name}/%{tarba
 
 BuildArch:      noarch
 BuildRequires:  python2-devel python-kitchen python-nose python-sphinx
-Requires:       python-kitchen python-sphinx
 %if 0%{?with_python3}
 BuildRequires:  python3-devel python3-nose python3-sphinx
 %endif
 
-%description
-The module simplemediawiki is an extremely low-level wrapper to the MediaWiki 
-API. It automatically handles cookies and g zip compression so that you can 
-make basic calls to the API in the easiest way possible. It also provides a 
+%global _description\
+The module simplemediawiki is an extremely low-level wrapper to the MediaWiki\
+API. It automatically handles cookies and g zip compression so that you can\
+make basic calls to the API in the easiest way possible. It also provides a\
 few functions to make day-to-day API access easier.
 
+%description %_description
+
+%package -n python2-%{tarball_name}
+Summary: %summary
+Requires:       python-kitchen python-sphinx
+%{?python_provide:%python_provide python2-%{tarball_name}}
+
+%description -n python2-%{tarball_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{tarball_name}
 Summary:        Extremely low-level wrapper to the MediaWiki API
@@ -66,7 +74,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-%{tarball_name}
 %doc COPYING PKG-INFO README build/sphinx/html
 %{python_sitelib}/*
 
@@ -77,6 +85,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.0-0.11.b2
+- Python 2 subpackage renamed to python2-simplemediawiki
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-0.10.b2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-simpleparse/python-simpleparse.spec python-simpleparse/python-simpleparse.spec.tmp
index 12240f6c48..d0dfed8ef1 100644
--- python-simpleparse/python-simpleparse.spec
+++ python-simpleparse/python-simpleparse.spec.tmp
@@ -5,24 +5,32 @@ License:        BSD
 Group:          System Environment/Libraries
 Summary:        A simple and fast parser generator
 Version:        2.1.1
-Release:        15%{?dist}
+Release:        16%{?dist}
 URL:            http://launchpad.net/simpleparse
 Source0:        http://pypi.python.org/packages/source/S/SimpleParse/%{oname}-%{version}.tar.gz
 Patch1:         %{name}-eols.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python-devel
 
-%description
-SimpleParse is a BSD-licensed Python package providing a simple and fast parser
-generator using a modified version of the mxTextTools text-tagging engine.
-SimpleParse allows you to generate parsers directly from your EBNF grammar.
+%global _description\
+SimpleParse is a BSD-licensed Python package providing a simple and fast parser\
+generator using a modified version of the mxTextTools text-tagging engine.\
+SimpleParse allows you to generate parsers directly from your EBNF grammar.\
+\
+\
+# we don't want to provide mxTextTools.so\
+%{?filter_setup:\
+%filter_provides_in %{python_sitearch}/.*\.so$\
+%filter_setup\
+}
 
+%description %_description
 
-# we don't want to provide mxTextTools.so
-%{?filter_setup:
-%filter_provides_in %{python_sitearch}/.*\.so$
-%filter_setup
-}
+%package -n python2-simpleparse
+Summary: %summary
+%{?python_provide:%python_provide python2-simpleparse}
+
+%description -n python2-simpleparse %_description
 
 %prep
 %setup -q -n %{oname}-%{version}
@@ -39,7 +47,7 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-simpleparse
 %defattr(-,root,root,-)
 %{python_sitearch}
 %exclude %{python_sitearch}/simpleparse/tests
@@ -47,6 +55,10 @@ rm -rf %{buildroot}
 %doc license.txt doc examples
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.1-16
+- Python 2 subpackage renamed to python2-simpleparse
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sippy/python-sippy.spec python-sippy/python-sippy.spec.tmp
index 4fa1775e5f..e51bb79986 100644
--- python-sippy/python-sippy.spec
+++ python-sippy/python-sippy.spec.tmp
@@ -2,36 +2,44 @@
 
 Name:           python-%{realname}
 Version:        1.0.3
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        B2BUA (back-to-back user agent) SIP call controlling component
 Group:          Development/Libraries
 License:        GPLv2+
 URL:            http://b2bua.org/
 BuildArch:      noarch
-Provides:       %{realname} = %{version}-%{release}
 Source0:        http://b2bua.org/chrome/site/%{realname}-%{version}.tar.gz
 Patch0:         sippy-setup.diff
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
-Requires: python-twisted-core
 # for sippy/Radius_client.py
-Requires: freeradius-client-utils
 
 
-%description
-This ia a RFC3261-compliant Session Initiation Protocol (SIP) Back-to-back
-user agent (B2BUA) server software.
+%global _description\
+This ia a RFC3261-compliant Session Initiation Protocol (SIP) Back-to-back\
+user agent (B2BUA) server software.\
+\
+The B2BUA is a SIP call controlling component. Unlike a SIP proxy server,\
+which only maintains transaction state, the B2BUA maintains complete call\
+state and participates in all call requests. For this reason it can perform\
+number of functions that are not possible to implement using SIP proxy,\
+such as for example accurate call accounting, pre-paid rating and billing,\
+fail over call routing etc. Unlike PBX-type solutions such as Asterisk for\
+example, the B2BUA doesn't perform any media relaying or processing,\
+therefore it doesn't introduce any additional packet loss, delay or jitter\
+into the media path.\
 
-The B2BUA is a SIP call controlling component. Unlike a SIP proxy server,
-which only maintains transaction state, the B2BUA maintains complete call
-state and participates in all call requests. For this reason it can perform
-number of functions that are not possible to implement using SIP proxy,
-such as for example accurate call accounting, pre-paid rating and billing,
-fail over call routing etc. Unlike PBX-type solutions such as Asterisk for
-example, the B2BUA doesn't perform any media relaying or processing,
-therefore it doesn't introduce any additional packet loss, delay or jitter
-into the media path.
 
+%description %_description
+
+%package -n python2-%{realname}
+Summary: %summary
+Requires: freeradius-client-utils
+Requires: python-twisted-core
+Provides:       %{realname} = %{version}-%{release}
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
 
 %prep
 %setup -q -n %{realname}-%{version}
@@ -53,7 +61,7 @@ rm -f $RPM_BUILD_ROOT%{python_sitelib}/sippy/b2bua_radius.py*
 rm -f $RPM_BUILD_ROOT%{python_sitelib}/sippy/b2bua_simple.py*
 
 
-%files
+%files -n python2-%{realname}
 %doc COPYING README
 %dir %{_sysconfdir}/%{realname}
 %config(noreplace) %{_sysconfdir}/%{realname}/dictionary
@@ -63,6 +71,10 @@ rm -f $RPM_BUILD_ROOT%{python_sitelib}/sippy/b2bua_simple.py*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.3-17
+- Python 2 subpackage renamed to python2-sippy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-slip/python-slip.spec python-slip/python-slip.spec.tmp
index 6fa3429a34..661dbb2f63 100644
--- python-slip/python-slip.spec
+++ python-slip/python-slip.spec.tmp
@@ -1,6 +1,6 @@
 Name:       python-slip
 Version:    0.6.4
-Release:    7%{?dist}
+Release:    8%{?dist}
 Summary:    Convenience, extension and workaround code for Python 2.x
 
 Group:      System Environment/Libraries
@@ -14,14 +14,21 @@ BuildRequires:  python-devel
 BuildRequires:  python3
 BuildRequires:  python3-devel
 
-Requires:   libselinux-python
-Requires:   python-six
+%global _description\
+The Simple Library for Python 2.x packages contain miscellaneous code for\
+convenience, extension and workaround purposes.\
+\
+This package provides the "slip" and the "slip.util" modules.
 
-%description
-The Simple Library for Python 2.x packages contain miscellaneous code for
-convenience, extension and workaround purposes.
+%description %_description
 
-This package provides the "slip" and the "slip.util" modules.
+%package -n python2-slip
+Summary: %summary
+Requires:   python-six
+Requires:   libselinux-python
+%{?python_provide:%python_provide python2-slip}
+
+%description -n python2-slip %_description
 
 %package -n python3-slip
 Summary:    Convenience, extension and workaround code for Python 3.x
@@ -120,7 +127,7 @@ pushd %{py3dir}
 make install PYTHON=%{__python3} DESTDIR=%buildroot
 popd
 
-%files
+%files -n python2-slip
 %defattr(-,root,root,-)
 %doc COPYING doc/dbus
 %dir %{python2_sitelib}/slip/
@@ -157,6 +164,10 @@ popd
 %{python2_sitelib}/slip.gtk-%{version}-py%{python2_version}.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.4-8
+- Python 2 subpackage renamed to python2-slip
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-smbpasswd/python-smbpasswd.spec python-smbpasswd/python-smbpasswd.spec.tmp
index 4fe90ea47c..9226e86b71 100644
--- python-smbpasswd/python-smbpasswd.spec
+++ python-smbpasswd/python-smbpasswd.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-smbpasswd
 Version:        1.0.1
-Release:        33%{?dist}
+Release:        34%{?dist}
 Summary:        Python SMB Password Hash Generator Module
 
 Group:          Development/Languages
@@ -20,10 +20,18 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python3-devel
 BuildRequires:	python2-devel
 
-%description
-This package contains a python module, which is able to generate LANMAN and
+%global _description\
+This package contains a python module, which is able to generate LANMAN and\
 NT password hashes suiteable to us with Samba.
 
+%description %_description
+
+%package -n python2-smbpasswd
+Summary: %summary
+%{?python_provide:%python_provide python2-smbpasswd}
+
+%description -n python2-smbpasswd %_description
+
 %if 0%{?with_python3}
 %package -n python3-smbpasswd
 Summary:	Python SMB Password Hst Generator Module for Python 3
@@ -66,7 +74,7 @@ cd %{py3dir}
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-smbpasswd
 %defattr(-,root,root,-)
 %{python_sitearch}/smbpasswd.so
 %{python_sitearch}/*egg-info
@@ -83,6 +91,10 @@ rm -rf $RPM_BUILD_ROOT
 %doc COPYING README.txt
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-34
+- Python 2 subpackage renamed to python2-smbpasswd
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-33
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-soaplib/python-soaplib.spec python-soaplib/python-soaplib.spec.tmp
index 27700dae96..0a3f0eba3c 100644
--- python-soaplib/python-soaplib.spec
+++ python-soaplib/python-soaplib.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-soaplib
 Version:        0.8.1
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        A python library for writing and calling soap web services
 
 Group:          Development/Languages
@@ -14,16 +14,24 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
 BuildRequires:  python-devel, python-setuptools, python-lxml, pytz
-Requires:       pytz, python-lxml 
 
 
-%description
-Soaplib is an easy to use python library for writing and calling soap web
-services. Webservices written with soaplib are simple, lightweight, work
-well with other SOAP implementations, and can be deployed as WSGI 
-applications.
+%global _description\
+Soaplib is an easy to use python library for writing and calling soap web\
+services. Webservices written with soaplib are simple, lightweight, work\
+well with other SOAP implementations, and can be deployed as WSGI\
+applications.\
 
 
+%description %_description
+
+%package -n python2-soaplib
+Summary: %summary
+Requires:       pytz, python-lxml
+%{?python_provide:%python_provide python2-soaplib}
+
+%description -n python2-soaplib %_description
+
 %prep
 %setup -q -c soaplib
 
@@ -43,7 +51,7 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-soaplib
 %defattr(-,root,root,-)
 %doc LICENSE soaplib_docs.markdown
 # For noarch packages: sitelib
@@ -51,6 +59,10 @@ rm -rf $RPM_BUILD_ROOT
 %exclude %{python_sitelib}/tests
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.1-16
+- Python 2 subpackage renamed to python2-soaplib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-socksipychain/python-socksipychain.spec python-socksipychain/python-socksipychain.spec.tmp
index 07a1eab6c2..943b64a98a 100644
--- python-socksipychain/python-socksipychain.spec
+++ python-socksipychain/python-socksipychain.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:       python-%{canonicalname}
 Version:    2.0.12
-Release:    9%{?dist}
+Release:    10%{?dist}
 Summary:    A Python SOCKS/HTTP Proxy module
 
 Group:      Development/Libraries
@@ -25,12 +25,20 @@ BuildArch:  noarch
 BuildRequires:  python2-devel
 
 
-%description
-This Python module allows you to create TCP connections through a chain
-of SOCKS or HTTP proxies without any special effort. It also supports
-TLS/SSL encryption if the OpenSSL modules are installed.
+%global _description\
+This Python module allows you to create TCP connections through a chain\
+of SOCKS or HTTP proxies without any special effort. It also supports\
+TLS/SSL encryption if the OpenSSL modules are installed.\
 
 
+%description %_description
+
+%package -n python2-%{canonicalname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{canonicalname}}
+
+%description -n python2-%{canonicalname} %_description
+
 %prep
 %setup -q -n python-%{upstreamname}-%{version}
 
@@ -47,12 +55,16 @@ install -Dpm 0755 sockschain/__init__.py $RPM_BUILD_ROOT%{python_sitelib}/socksc
 %{__rm} -rf $RPM_BUILD_ROOT
 %endif
 
-%files
+%files -n python2-%{canonicalname}
 %defattr(-,root,root,-)
 %doc LICENSE README.md BUGS
 %{python_sitelib}/sockschain
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.12-10
+- Python 2 subpackage renamed to python2-socksipychain
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.12-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-SocksiPy/python-SocksiPy.spec python-SocksiPy/python-SocksiPy.spec.tmp
index bd618fe1d5..1d633f7e66 100644
--- python-SocksiPy/python-SocksiPy.spec
+++ python-SocksiPy/python-SocksiPy.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-SocksiPy
 Version:        1.00
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        A Python SOCKS module
 
 Group:          Development/Languages
@@ -19,11 +19,19 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 
 
-%description
-This Python module allows you to create TCP connections through a SOCKS
-proxy without any special effort.
+%global _description\
+This Python module allows you to create TCP connections through a SOCKS\
+proxy without any special effort.\
 
 
+%description %_description
+
+%package -n python2-socksipy
+Summary: %summary
+%{?python_provide:%python_provide python2-socksipy}
+
+%description -n python2-socksipy %_description
+
 %prep
 %setup -q -c
 %{__cp} %{SOURCE1} setup.py
@@ -48,7 +56,7 @@ done
 %{__rm} -rf %{buildroot}
 
 
-%files
+%files -n python2-socksipy
 %defattr(-,root,root,-)
 %doc BUGS LICENSE README
 %{python_sitelib}/socks*
@@ -56,6 +64,10 @@ done
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.00-16
+- Python 2 subpackage renamed to python2-socksipy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-speaklater/python-speaklater.spec python-speaklater/python-speaklater.spec.tmp
index 9084e3b67d..c35ff3591b 100644
--- python-speaklater/python-speaklater.spec
+++ python-speaklater/python-speaklater.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{tarName}
 Version:        1.3
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Implements a lazy string for python useful for use with gettext
 Group:          Development/Libraries
 License:        BSD
@@ -25,13 +25,21 @@ BuildRequires:  python-setuptools
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
-Provides: python2-speaklater
 
-%description
-A module that provides lazy strings for translations. Basically you get an
-object that appears to be a string but changes the value every time the value
+%global _description\
+A module that provides lazy strings for translations. Basically you get an\
+object that appears to be a string but changes the value every time the value\
 is evaluated based on a callable you provide.
 
+%description %_description
+
+%package -n python2-speaklater
+Summary: %summary
+Provides: python2-speaklater
+%{?python_provide:%python_provide python2-speaklater}
+
+%description -n python2-speaklater %_description
+
 %if 0%{?with_python3}
 %package -n python3-speaklater
 Summary: Implements a lazy string for python3 useful for gettext
@@ -86,7 +94,7 @@ popd
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-speaklater
 %defattr(-,root,root)
 %{!?_licensedir:%global license %%doc}
 %{python2_sitelib}/speaklater*
@@ -104,6 +112,10 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-10
+- Python 2 subpackage renamed to python2-speaklater
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sphinxcontrib-adadomain/python-sphinxcontrib-adadomain.spec python-sphinxcontrib-adadomain/python-sphinxcontrib-adadomain.spec.tmp
index 55efe84de6..9bb40a21e4 100644
--- python-sphinxcontrib-adadomain/python-sphinxcontrib-adadomain.spec
+++ python-sphinxcontrib-adadomain/python-sphinxcontrib-adadomain.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{upstream_name}
 Version:        0.1
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Ada domain for the Sphinx documentation generator
 Summary(sv):    Adadomänen för dokumentationsgeneratorn Sphinx
 
@@ -15,11 +15,18 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
+%global _description\
+The Ada domain for the Sphinx documentation generator adds support for\
+documenting Ada APIs.
+
+%description %_description
+
+%package -n python2-%{upstream_name}
+Summary: %summary
 Requires:       python-sphinx >= 1.0
+%{?python_provide:%python_provide python2-%{upstream_name}}
 
-%description
-The Ada domain for the Sphinx documentation generator adds support for
-documenting Ada APIs.
+%description -n python2-%{upstream_name} %_description
 
 %description -l sv
 Adadomänen för dokumentationsgeneratorn Sphinx tillför möjligheten att
@@ -39,13 +46,17 @@ rm -rf *.egg-info
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-%{upstream_name}
 %doc README.rst AUTHORS
 %license LICENSE
 %{python2_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-10
+- Python 2 subpackage renamed to python2-sphinxcontrib-adadomain
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sphinxcontrib-issuetracker/python-sphinxcontrib-issuetracker.spec python-sphinxcontrib-issuetracker/python-sphinxcontrib-issuetracker.spec.tmp
index e297cc4fb1..0d04bc5e26 100644
--- python-sphinxcontrib-issuetracker/python-sphinxcontrib-issuetracker.spec
+++ python-sphinxcontrib-issuetracker/python-sphinxcontrib-issuetracker.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{pyname}
 Version:        0.11
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Sphinx integration with different issue trackers
 
 License:        BSD
@@ -24,27 +24,35 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-requests
 BuildRequires:  python3-sphinx >= 1.1
 %endif # if with_python3
-Requires:       python-requests
-Requires:       python-sphinx >= 1.1
-
-%description
-A Sphinx extension to reference issues in issue trackers, either explicitly
-with an "issue" role or optionally implicitly by issue ids like #10 in plain
-text.
 
-Currently the following issue trackers are supported:
-
- *  GitHub
- *  BitBucket
- *  Launchpad
- *  Google Code
- *  Debian BTS
- *  Jira
-
-A simple API is provided to add support for other issue trackers.  If you
-added support for a new tracker, please consider sending a patch to make your
-work available to other users of this extension.
+%global _description\
+A Sphinx extension to reference issues in issue trackers, either explicitly\
+with an "issue" role or optionally implicitly by issue ids like #10 in plain\
+text.\
+\
+Currently the following issue trackers are supported:\
+\
+ *  GitHub\
+ *  BitBucket\
+ *  Launchpad\
+ *  Google Code\
+ *  Debian BTS\
+ *  Jira\
+\
+A simple API is provided to add support for other issue trackers.  If you\
+added support for a new tracker, please consider sending a patch to make your\
+work available to other users of this extension.\
+
+
+%description %_description
+
+%package -n python2-%{pyname}
+Summary: %summary
+Requires:       python-sphinx >= 1.1
+Requires:       python-requests
+%{?python_provide:%python_provide python2-%{pyname}}
 
+%description -n python2-%{pyname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pyname}
@@ -113,7 +121,7 @@ popd
 %endif # with_python3
 
  
-%files
+%files -n python2-%{pyname}
 %license LICENSE
 %doc CHANGES.rst CREDITS README.rst doc
 %{python2_sitelib}/*
@@ -127,6 +135,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.11-9
+- Python 2 subpackage renamed to python2-sphinxcontrib-issuetracker
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sphinx-theme-flask/python-sphinx-theme-flask.spec python-sphinx-theme-flask/python-sphinx-theme-flask.spec.tmp
index cbfd29e557..5429fe99d3 100644
--- python-sphinx-theme-flask/python-sphinx-theme-flask.spec
+++ python-sphinx-theme-flask/python-sphinx-theme-flask.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:		python-sphinx-theme-flask
 Version:	git%{commitdate}.%{shortcommit}
-Release:	10%{?dist}
+Release:	11%{?dist}
 Summary:	Sphinx Themes for Flask related projects and Flask itself
 %{?el5:Group:	Applications/Publishing}
 
@@ -23,18 +23,25 @@ BuildRequires:	python2-devel
 BuildRequires:	python3-devel
 %endif
 
-Requires:	python-sphinx
+%global _description\
+%{name} contains\
+%{summary}.\
+\
+The following themes exist:\
+\
+ * flask - the standard flask documentation theme for large projects\
+ * flask_small - small one-page theme.  Intended to be used by very small\
+addon libraries for flask.\
 
-%description
-%{name} contains
-%{summary}.
 
-The following themes exist:
+%description %_description
 
- * flask - the standard flask documentation theme for large projects
- * flask_small - small one-page theme.  Intended to be used by very small
-addon libraries for flask.
+%package -n python2-sphinx-theme-flask
+Summary: %summary
+Requires:	python-sphinx
+%{?python_provide:%python_provide python2-sphinx-theme-flask}
 
+%description -n python2-sphinx-theme-flask %_description
 
 %if 0%{?fedora} || 0%{?rhel} >= 7
 %package -n python3-sphinx-theme-flask
@@ -76,7 +83,7 @@ cp -pr flask* %{buildroot}%{python3_sitelib}/sphinx/themes
 %{?el5:rm -rf %{buildroot}}
 
 
-%files
+%files -n python2-sphinx-theme-flask
 %doc LICENSE README
 %{python_sitelib}/sphinx/themes/*
 
@@ -88,6 +95,10 @@ cp -pr flask* %{buildroot}%{python3_sitelib}/sphinx/themes
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - git20130715.1cc4468-11
+- Python 2 subpackage renamed to python2-sphinx-theme-flask
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - git20130715.1cc4468-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-spiffgtkwidgets/python-spiffgtkwidgets.spec python-spiffgtkwidgets/python-spiffgtkwidgets.spec.tmp
index 2f2be2bb32..ff4bf28326 100644
--- python-spiffgtkwidgets/python-spiffgtkwidgets.spec
+++ python-spiffgtkwidgets/python-spiffgtkwidgets.spec.tmp
@@ -3,7 +3,7 @@
 Summary:    Collection of useful Gtk widgets
 Name:       python-spiffgtkwidgets
 Version:    0.2.0
-Release:    11.%{git}%{?dist}
+Release:    12.%{git}%{?dist}
             # src/SpiffGtkWidgets/FormEditor/Elements/Element.py
             # and src/SpiffGtkWidgets/FormEditor/FloatBox.py
             # are LGPLv3, all other AGPLv3
@@ -15,18 +15,25 @@ Source0:    https://github.com/knipknap/SpiffGtkWidgets/tarball/%{git}
             # https://github.com/knipknap/SpiffGtkWidgets/issues/4
 Patch0:     %{name}-fsf-fix.patch
 
-Requires:   hippo-canvas-python
-Requires:   pygtk2
-
 BuildRequires: python-setuptools
 BuildRequires: python2-devel
 
 
-%description
-Spiff Gtk Widgets provides a collection of Gtk widgets
-- An annotated text view and a calendar similar to Google's online calendar.
+%global _description\
+Spiff Gtk Widgets provides a collection of Gtk widgets\
+- An annotated text view and a calendar similar to Google's online calendar.\
 
 
+%description %_description
+
+%package -n python2-spiffgtkwidgets
+Summary: %summary
+Requires:   pygtk2
+Requires:   hippo-canvas-python
+%{?python_provide:%python_provide python2-spiffgtkwidgets}
+
+%description -n python2-spiffgtkwidgets %_description
+
 %prep
 ln -sf %{SOURCE0} source0.tar.gz
 %global SOURCE0 source0.tar.gz
@@ -42,13 +49,17 @@ ln -sf %{SOURCE0} source0.tar.gz
 %{__python} setup.py --quiet install -O1 --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-spiffgtkwidgets
 %doc AUTHORS COPYING ChangeLog README TODO
 %{python_sitelib}/SpiffGtkWidgets
 %{python_sitelib}/*.egg-info
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-12.59a713f
+- Python 2 subpackage renamed to python2-spiffgtkwidgets
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-11.59a713f
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
